#@TYPE: Machine
#@NAME: NetModule HW 21
#@DESCRIPTION: Machine configuration for the nmhw21 mainboard

require conf/machine/include/ti33x.inc

MACHINE_EXTRA_RRECOMMENDS = " kernel-modules kernel-devicetree"

KERNEL_DEVICETREE_TO_USE = "${HW21_DT}"

PREFERRED_PROVIDER_virtual/bootloader = "u-boot-ti33x"
UBOOT_MACHINE = "am335x_nmhw21_defconfig"

USE_VT = "0"

SERIAL_CONSOLES ?= "115200;ttyS2"

WWAN_NBR = "1"
WWAN_VENDORS = "ublox"

MACHINE_FEATURES += " \
	can \
	spi \
	imu \
	gnss \
	advanced-gnss \
	wwan \
	bluetooth \
	tibluetooth \
	neo-m8l \
	wifi \
	ti-wifi \
	da9063-ignition \
"

USER_MODULE_MACHINE_FEATURE = "user-module"
MACHINE_FEATURES_append = " ${USER_MODULE_MACHINE_FEATURE}"

